package com.mortals.xhx.module.window.model;

import java.util.List;
import com.mortals.xhx.module.window.model.WindowMatterEntity;
/**
 * 窗口事项查询对象
 *
 * @author zxfei
 * @date 2022-01-20
 */
public class WindowMatterQuery extends WindowMatterEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 窗口ID */
    private Long windowIdStart;

    /** 结束 窗口ID */
    private Long windowIdEnd;

    /** 增加 窗口ID */
    private Long windowIdIncrement;

    /** 窗口ID列表 */
    private List <Long> windowIdList;

    /** 窗口名称 */
    private List<String> windowNameList;

    /** 开始 站点事项ID */
    private Long siteMatterIdStart;

    /** 结束 站点事项ID */
    private Long siteMatterIdEnd;

    /** 增加 站点事项ID */
    private Long siteMatterIdIncrement;

    /** 站点事项ID列表 */
    private List <Long> siteMatterIdList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 开始 部门ID */
    private Long deptIdStart;

    /** 结束 部门ID */
    private Long deptIdEnd;

    /** 增加 部门ID */
    private Long deptIdIncrement;

    /** 部门ID列表 */
    private List <Long> deptIdList;

    /** 部门名称 */
    private List<String> deptNameList;

    /** 开始 是否显示 (1.是，0.否) */
    private Integer isShowStart;

    /** 结束 是否显示 (1.是，0.否) */
    private Integer isShowEnd;

    /** 增加 是否显示 (1.是，0.否) */
    private Integer isShowIncrement;

    /** 是否显示 (1.是，0.否)列表 */
    private List <Integer> isShowList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<WindowMatterQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<WindowMatterQuery> andConditionList;

    public WindowMatterQuery(){}

    /**
     * 获取 开始 序号，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 序号，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 序号，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 序号，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 开始 窗口ID
     * @return windowIdStart
     */
    public Long getWindowIdStart(){
        return this.windowIdStart;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public void setWindowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
    }

    /**
     * 获取 结束 窗口ID
     * @return $windowIdEnd
     */
    public Long getWindowIdEnd(){
        return this.windowIdEnd;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public void setWindowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
    }

    /**
     * 获取 增加 窗口ID
     * @return windowIdIncrement
     */
    public Long getWindowIdIncrement(){
        return this.windowIdIncrement;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public void setWindowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
    }

    /**
     * 获取 窗口ID
     * @return windowIdList
     */
    public List<Long> getWindowIdList(){
        return this.windowIdList;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public void setWindowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
    }

    /**
     * 获取 窗口名称
     * @return windowNameList
     */
    public List<String> getWindowNameList(){
        return this.windowNameList;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public void setWindowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
    }
    /**
     * 获取 开始 站点事项ID
     * @return siteMatterIdStart
     */
    public Long getSiteMatterIdStart(){
        return this.siteMatterIdStart;
    }

    /**
     * 设置 开始 站点事项ID
     * @param siteMatterIdStart
     */
    public void setSiteMatterIdStart(Long siteMatterIdStart){
        this.siteMatterIdStart = siteMatterIdStart;
    }

    /**
     * 获取 结束 站点事项ID
     * @return $siteMatterIdEnd
     */
    public Long getSiteMatterIdEnd(){
        return this.siteMatterIdEnd;
    }

    /**
     * 设置 结束 站点事项ID
     * @param siteMatterIdEnd
     */
    public void setSiteMatterIdEnd(Long siteMatterIdEnd){
        this.siteMatterIdEnd = siteMatterIdEnd;
    }

    /**
     * 获取 增加 站点事项ID
     * @return siteMatterIdIncrement
     */
    public Long getSiteMatterIdIncrement(){
        return this.siteMatterIdIncrement;
    }

    /**
     * 设置 增加 站点事项ID
     * @param siteMatterIdIncrement
     */
    public void setSiteMatterIdIncrement(Long siteMatterIdIncrement){
        this.siteMatterIdIncrement = siteMatterIdIncrement;
    }

    /**
     * 获取 站点事项ID
     * @return siteMatterIdList
     */
    public List<Long> getSiteMatterIdList(){
        return this.siteMatterIdList;
    }

    /**
     * 设置 站点事项ID
     * @param siteMatterIdList
     */
    public void setSiteMatterIdList(List<Long> siteMatterIdList){
        this.siteMatterIdList = siteMatterIdList;
    }

    /**
     * 获取 事项名称
     * @return matterNameList
     */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }
    /**
     * 获取 开始 部门ID
     * @return deptIdStart
     */
    public Long getDeptIdStart(){
        return this.deptIdStart;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public void setDeptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
    }

    /**
     * 获取 结束 部门ID
     * @return $deptIdEnd
     */
    public Long getDeptIdEnd(){
        return this.deptIdEnd;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public void setDeptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
    }

    /**
     * 获取 增加 部门ID
     * @return deptIdIncrement
     */
    public Long getDeptIdIncrement(){
        return this.deptIdIncrement;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public void setDeptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
    }

    /**
     * 获取 部门ID
     * @return deptIdList
     */
    public List<Long> getDeptIdList(){
        return this.deptIdList;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public void setDeptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
    }

    /**
     * 获取 部门名称
     * @return deptNameList
     */
    public List<String> getDeptNameList(){
        return this.deptNameList;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public void setDeptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
    }
    /**
     * 获取 开始 是否显示 (1.是，0.否)
     * @return isShowStart
     */
    public Integer getIsShowStart(){
        return this.isShowStart;
    }

    /**
     * 设置 开始 是否显示 (1.是，0.否)
     * @param isShowStart
     */
    public void setIsShowStart(Integer isShowStart){
        this.isShowStart = isShowStart;
    }

    /**
     * 获取 结束 是否显示 (1.是，0.否)
     * @return $isShowEnd
     */
    public Integer getIsShowEnd(){
        return this.isShowEnd;
    }

    /**
     * 设置 结束 是否显示 (1.是，0.否)
     * @param isShowEnd
     */
    public void setIsShowEnd(Integer isShowEnd){
        this.isShowEnd = isShowEnd;
    }

    /**
     * 获取 增加 是否显示 (1.是，0.否)
     * @return isShowIncrement
     */
    public Integer getIsShowIncrement(){
        return this.isShowIncrement;
    }

    /**
     * 设置 增加 是否显示 (1.是，0.否)
     * @param isShowIncrement
     */
    public void setIsShowIncrement(Integer isShowIncrement){
        this.isShowIncrement = isShowIncrement;
    }

    /**
     * 获取 是否显示 (1.是，0.否)
     * @return isShowList
     */
    public List<Integer> getIsShowList(){
        return this.isShowList;
    }

    /**
     * 设置 是否显示 (1.是，0.否)
     * @param isShowList
     */
    public void setIsShowList(List<Integer> isShowList){
        this.isShowList = isShowList;
    }

    /**
     * 获取 开始 排序
     * @return sortStart
     */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
     * 获取 结束 排序
     * @return $sortEnd
     */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
     * 获取 增加 排序
     * @return sortIncrement
     */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
     * 获取 排序
     * @return sortList
     */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建用户
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建用户
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建用户
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建用户
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 开始 修改时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 修改时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 修改时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 修改时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 设置  序号，主键，自增长
     * @param id
     */
    public WindowMatterQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 序号，主键，自增长
     * @param idStart
     */
    public WindowMatterQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 序号，主键，自增长
     * @param idEnd
     */
    public WindowMatterQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 序号，主键，自增长
     * @param idIncrement
     */
    public WindowMatterQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 序号，主键，自增长
     * @param idList
     */
    public WindowMatterQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置  窗口ID
     * @param windowId
     */
    public WindowMatterQuery windowId(Long windowId){
        setWindowId(windowId);
        return this;
    }

    /**
     * 设置 开始 窗口ID
     * @param windowIdStart
     */
    public WindowMatterQuery windowIdStart(Long windowIdStart){
        this.windowIdStart = windowIdStart;
        return this;
    }

    /**
     * 设置 结束 窗口ID
     * @param windowIdEnd
     */
    public WindowMatterQuery windowIdEnd(Long windowIdEnd){
        this.windowIdEnd = windowIdEnd;
        return this;
    }

    /**
     * 设置 增加 窗口ID
     * @param windowIdIncrement
     */
    public WindowMatterQuery windowIdIncrement(Long windowIdIncrement){
        this.windowIdIncrement = windowIdIncrement;
        return this;
    }

    /**
     * 设置 窗口ID
     * @param windowIdList
     */
    public WindowMatterQuery windowIdList(List<Long> windowIdList){
        this.windowIdList = windowIdList;
        return this;
    }


    /**
     * 设置 窗口名称
     * @param windowName
     */
    public WindowMatterQuery windowName(String windowName){
        setWindowName(windowName);
        return this;
    }

    /**
     * 设置 窗口名称
     * @param windowNameList
     */
    public WindowMatterQuery windowNameList(List<String> windowNameList){
        this.windowNameList = windowNameList;
        return this;
    }

    /**
     * 设置  站点事项ID
     * @param siteMatterId
     */
    public WindowMatterQuery siteMatterId(Long siteMatterId){
        setSiteMatterId(siteMatterId);
        return this;
    }

    /**
     * 设置 开始 站点事项ID
     * @param siteMatterIdStart
     */
    public WindowMatterQuery siteMatterIdStart(Long siteMatterIdStart){
        this.siteMatterIdStart = siteMatterIdStart;
        return this;
    }

    /**
     * 设置 结束 站点事项ID
     * @param siteMatterIdEnd
     */
    public WindowMatterQuery siteMatterIdEnd(Long siteMatterIdEnd){
        this.siteMatterIdEnd = siteMatterIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点事项ID
     * @param siteMatterIdIncrement
     */
    public WindowMatterQuery siteMatterIdIncrement(Long siteMatterIdIncrement){
        this.siteMatterIdIncrement = siteMatterIdIncrement;
        return this;
    }

    /**
     * 设置 站点事项ID
     * @param siteMatterIdList
     */
    public WindowMatterQuery siteMatterIdList(List<Long> siteMatterIdList){
        this.siteMatterIdList = siteMatterIdList;
        return this;
    }


    /**
     * 设置 事项名称
     * @param matterName
     */
    public WindowMatterQuery matterName(String matterName){
        setMatterName(matterName);
        return this;
    }

    /**
     * 设置 事项名称
     * @param matterNameList
     */
    public WindowMatterQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
        return this;
    }

    /**
     * 设置  部门ID
     * @param deptId
     */
    public WindowMatterQuery deptId(Long deptId){
        setDeptId(deptId);
        return this;
    }

    /**
     * 设置 开始 部门ID
     * @param deptIdStart
     */
    public WindowMatterQuery deptIdStart(Long deptIdStart){
        this.deptIdStart = deptIdStart;
        return this;
    }

    /**
     * 设置 结束 部门ID
     * @param deptIdEnd
     */
    public WindowMatterQuery deptIdEnd(Long deptIdEnd){
        this.deptIdEnd = deptIdEnd;
        return this;
    }

    /**
     * 设置 增加 部门ID
     * @param deptIdIncrement
     */
    public WindowMatterQuery deptIdIncrement(Long deptIdIncrement){
        this.deptIdIncrement = deptIdIncrement;
        return this;
    }

    /**
     * 设置 部门ID
     * @param deptIdList
     */
    public WindowMatterQuery deptIdList(List<Long> deptIdList){
        this.deptIdList = deptIdList;
        return this;
    }


    /**
     * 设置 部门名称
     * @param deptName
     */
    public WindowMatterQuery deptName(String deptName){
        setDeptName(deptName);
        return this;
    }

    /**
     * 设置 部门名称
     * @param deptNameList
     */
    public WindowMatterQuery deptNameList(List<String> deptNameList){
        this.deptNameList = deptNameList;
        return this;
    }

    /**
     * 设置  是否显示 (1.是，0.否)
     * @param isShow
     */
    public WindowMatterQuery isShow(Integer isShow){
        setIsShow(isShow);
        return this;
    }

    /**
     * 设置 开始 是否显示 (1.是，0.否)
     * @param isShowStart
     */
    public WindowMatterQuery isShowStart(Integer isShowStart){
        this.isShowStart = isShowStart;
        return this;
    }

    /**
     * 设置 结束 是否显示 (1.是，0.否)
     * @param isShowEnd
     */
    public WindowMatterQuery isShowEnd(Integer isShowEnd){
        this.isShowEnd = isShowEnd;
        return this;
    }

    /**
     * 设置 增加 是否显示 (1.是，0.否)
     * @param isShowIncrement
     */
    public WindowMatterQuery isShowIncrement(Integer isShowIncrement){
        this.isShowIncrement = isShowIncrement;
        return this;
    }

    /**
     * 设置 是否显示 (1.是，0.否)
     * @param isShowList
     */
    public WindowMatterQuery isShowList(List<Integer> isShowList){
        this.isShowList = isShowList;
        return this;
    }

    /**
     * 设置  排序
     * @param sort
     */
    public WindowMatterQuery sort(Integer sort){
        setSort(sort);
        return this;
    }

    /**
     * 设置 开始 排序
     * @param sortStart
     */
    public WindowMatterQuery sortStart(Integer sortStart){
        this.sortStart = sortStart;
        return this;
    }

    /**
     * 设置 结束 排序
     * @param sortEnd
     */
    public WindowMatterQuery sortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
        return this;
    }

    /**
     * 设置 增加 排序
     * @param sortIncrement
     */
    public WindowMatterQuery sortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
        return this;
    }

    /**
     * 设置 排序
     * @param sortList
     */
    public WindowMatterQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
        return this;
    }


    /**
     * 设置  创建用户
     * @param createUserId
     */
    public WindowMatterQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建用户
     * @param createUserIdStart
     */
    public WindowMatterQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建用户
     * @param createUserIdEnd
     */
    public WindowMatterQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建用户
     * @param createUserIdIncrement
     */
    public WindowMatterQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建用户
     * @param createUserIdList
     */
    public WindowMatterQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }


    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<WindowMatterQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<WindowMatterQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<WindowMatterQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<WindowMatterQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}